package com.docus.server.collection.entity;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.metadata.BaseRowModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @BelongsProject: docus-mzzy-collector
 * @BelongsPackage: com.docus.server.collection.entity
 * @Author: chierhao
 * @CreateTime: 2024-07-31  15:47
 * @Description: TODO
 * @Version: 1.0
 */
@Data
public class VJsjWzh7addnjreport extends BaseRowModel {

    @ApiModelProperty(value = "姓名")
    @ExcelProperty(value = {"姓名"}, index =0 )
    private String name;

    @ApiModelProperty(value = "住院号")
    @ExcelProperty(value = {"住院号"}, index =1 )
    private String inpatientNo;

    @ApiModelProperty(value = "类型")
    @ExcelProperty(value = {"类型"}, index =2 )
    private String type;

    @ApiModelProperty(value = "申请科室")
    @ExcelProperty(value = {"申请科室"}, index =3 )
    private String dept;

    @ApiModelProperty(value = "项目")
    @ExcelProperty(value = {"项目"}, index =4 )
    private String item;

    @ApiModelProperty(value = "登记时间")
    @ExcelProperty(value = {"登记时间"}, index =5 )
    private Date registDateTime;

    @ApiModelProperty(value = "报告时间")
    @ExcelProperty(value = {"报告时间"}, index =6 )
    private Date reportDateTime;
}
