package com.docus.server.collection.rpc;

import com.alibaba.fastjson.JSONObject;

/**
 * 梅州中医院 roc  curr-web公共 api 接口
 * @author YongBin Wen
 * @date 2025/2/8 10:04
 */
public interface MzZyyRocCurrWebCommonRpc {
    /**
     *查询科室列表
     * @param deptCode 科室编码，可为空
     * @param deptType 科室类型，C 门诊，  I 住院,  F  财务， L  后勤(logistics) ， PI  药库 ，T 医技， O  其它 ，D  机关，P  药房 ，  N 护士站 ，可为空
     * @return 科室列表
     */
    JSONObject queryDept(String deptCode, String deptType);
}
